type: fields
fields:
    image_gallery:
        label:
            en: Image gallery
            fr: Galerie d'images
        type: structure
        columns:
            main_image:
                width: 1/3
            related_image:
                width: 1/3
            caption:
                width: 1/3
        fields:
            main_image:
                label:
                    en: Main image
                    fr: Image principale
                type: files
                query: site.find('media-library').images
                uploads:
                    parent: site.find('media-library')
                    template: image
                multiple: false
                layout: cards
                image:
                    ratio: 1/1
                width: 1/2
            related_image:
                label:
                    en: Related image
                    fr: Image associée
                type: files
                query: site.find('media-library').images
                uploads:
                    parent: site.find('media-library')
                    template: image
                multiple: false
                layout: cards
                image:
                    ratio: 1/1
                width: 1/2
            caption:
                label:
                    en: Caption
                    fr: Légende
                type: writer
                toolbar:
                    inline: false
                nodes: false
                marks:
                    - bold
                    - italic
                    - '|'
                    - link
                    - email
                    - '|'
                    - clear
